Skip to main content
`Ctrl`+`K`

# SNESLineSearchReset

Undoes the `SNESLineSearchSetUp()` and deletes any `Vec`s or `Mat`s allocated by the line search.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchReset(SNESLineSearch linesearch)

Collective

## Input Parameter

- linesearch - The `SNESLineSearch` instance.

## Note

Usually only called by `SNESReset()`

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESGetLineSearch()`, `SNESLineSearchSetUp()`

## Level

developer

## Location

src/snes/linesearch/interface/linesearch.c

## Implementations

SNESLineSearchReset_NLEQERR() in src/snes/linesearch/impls/nleqerr/linesearchnleqerr.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages